Subject: The check-tests-true lint check is incorrect for Emacs packages

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 31 Aug 2021 11:25:35 -0400

Hi,

The emacs-build-system has its #:tests? argument set to #f by default,
which means users must explicitly specify its value as #t to enable test
suites.

The check-tests-true lint check seems to ignore this and goes on to
recommend, for example:

--8<---------------cut here---------------start------------->8---
gnu/packages/emacs-xyz.scm:15998:7: [email-masked]: #:tests? must not be explicitly set to #t
--8<---------------cut here---------------end--------------->8---

which is wrong.

Thanks,

Maxim